/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jclouds.karaf.core;

public final class Constants {

  public static final String NODE_CACHE = "NODE_CACHE";
  public static final String ACTIVE_NODE_CACHE = "ACTIVE_NODE_CACHE";
  public static final String INACTIVE_NODE_CACHE = "INACTIVE_NODE_CACHE";
  public static final String SUSPENDED_NODE_CACHE = "SUSPENDED_NODE_CACHE";

  public static final String IMAGE_CACHE = "IMAGE_CACHE";
  public static final String LOCATION_CACHE = "LOCATION_CACHE";
  public static final String HARDWARE_CACHE = "HARDWARE_CACHE";
  public static final String RECIPE_CACHE = "RECIPE_CACHE";
  public static final String GROUP = "GROUP";

  public static final String NAME = "name";
  public static final String PROVIDER = "provider";
  public static final String API = "api";
  public static final String ENDPOINT = "endpoint";
  public static final String IDENTITY = "identity";
  public static final String CREDENTIAL = "credential";

  private Constants() {
    throw new AssertionError("intentionally unimplemented");
  }
}
